<?php
$this->PageTitle = 'Relatório de Brindes';

$imagem = FaHtml::iconBlank();
$options = array();
if (isset($_GET['busca'])) {
    $options[] = array('label' => FaHtml::iconExcel(),
                       'url' => array('generateExcel'),
                       'linkOptions' => array('class' => 'novo exportar'));
}
$options[] = array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button'));
$options[] = array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'));
$this->menu = $options;

$dataProvider = $model->search();
?>
<div class="search-form" style="display:<?php echo ($dataProvider->totalItemCount > 0 && isset($_GET['busca'])) ? 'none' : 'block'; ?>" >
    <?php $this->renderPartial('_search', array('model' => $model)); ?>
</div><!-- search-form -->

<?php
if (isset($_GET['busca'])) {
    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'id' => 'admin-grid',
        'dataProvider' => $dataProvider,
        'afterAjaxUpdate'=>'updated',
        'pager' => Util::getPagerDefaultConfig(),
        'columns' => array(
            'BRIID',
            array(
                'name' => 'ATD_DTCADASTRO',
                'value' => 'isset($data->Atendimento->ATD_DTCADASTRO) ? $data->Atendimento->ATD_DTCADASTRO : "Não identificado"',
                ),
            array(
                'name' => 'CLI_NOME',
                'value' => 'isset($data->Atendimento->Cliente->CLI_NOME) ? $data->Atendimento->Cliente->CLI_NOME : "Não identificado"',
                ),
            array(
                'name' => 'FUN_NOME',
                'value' => 'isset($data->Atendimento->Atendente->FUN_NOME) ? $data->Atendimento->Atendente->FUN_NOME : "Não identificado"',
                ),
            array(
                'name' => 'BRICOD',
                'value' => 'GxHtml::valueEx($data->Brinde)',
                ),
            'BRIQTD',
            ),
        )
    );
}